/* NON-MINIMAL */
.center-text-nonMinimal {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 60px 20px;
  margin: auto;
}

.center-text-nonMinimal.full-width {
  width: 100vw;
  max-width: 100%;
}

.center-text-nonMinimal.centered {
  width: 100%;
  max-width: var(--site-max-width);
  margin-left: auto;
  margin-right: auto;
}

.center-text-nonMinimal.shadow {
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}

.center-text-nonMinimal-image {
  max-width: 100%;
  margin-bottom: 30px;
}

.center-text-nonMinimal-text-container {
  flex: 1;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.center-text-nonMinimal .separator2 {
  width: 40px;
  height: 4px;
  background-color: var(--accent-color, #ffc83d);
  margin: 20px 0;
  border-radius: 2px;
}

/* MINIMAL */
.center-text-isMinimal {
  display: flex;
  justify-content: center;
  align-items: center;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  position: relative;
  width: 99vw;
  margin: 0 auto;
}

.center-text-isMinimal-overlay {
  background-color: rgba(255, 255, 255, 0.9);
  border-radius: 20px;
  padding: 30px;
  text-align: left;
  max-width: var(--site-max-width) !important;
  margin: 0 auto !important;
}

.center-text-isMinimal .separator2 {
  width: 40px;
  height: 4px;
  background-color: var(--accent-color, #ffc83d);
  /* margin: 20px auto; */
  border-radius: 2px;
}

/* Shared description style */
.center-text-description {
  line-height: 1.7rem;
  font-size: 1.125rem;
}

/* Responsive */
@media screen and (max-width: 768px) {
  .center-text-isMinimal-overlay {
    padding: 20px;
  }
   .text-container {
    padding: 0 20px;
  }
  .center-text-description {
    font-size: 1rem !important;
    line-height: 1.4rem;
    padding: 0 20px;
  }

  .text-container h3{
    font-size: 1.5rem !important;
    line-height: 2rem !important;
  }
}

@media screen and (max-width: 1400px) {
  .center-text-isMinimal-overlay {
    padding: 20px;
  }
  .text-container {
    padding: 0 20px;
  }
  .center-text-description {
    font-size: 1rem !important;
    line-height: 1.4rem;
    /* padding: 0 20px; */


  }
  .text-container h3{
    font-size: 1.5rem !important;
    line-height: 2rem !important;
  }
}

